authentication/urls.py
from django.contrib import admin
from django.urls import path
from . import views

urlpatterns = [
    path('', views.index, name="index"),
    path('login/', views.login, name="login"),
    path('register/', views.register, name='register'),
    #path('logout/', views.logout, name='logout'),
]

pasien/urls.py
from django.contrib import admin
from django.urls import path
from . import views

urlpatterns = [
    path('create-pasien/', views.create_pasien, name="create-pasien"),
    path('read-pasien/', views.read_pasien, name="read-pasien"),
    path('detail-pasien/', views.detail_pasien, name="detail-pasien"),
    path('update-pasien/', views.update_pasien, name="update-pasien"),
    #path('delete-pasien/', views.delete_pasien, name="delete-pasien"),

]

siruco/urls.py
from django.contrib import admin
from django.urls import path, include

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include(('authentication.urls','authentication'), namespace='authentication')),
    path('', include(('pasien.urls','pasien'), namespace='pasien')),
    
]

authentication/models.py
from django.db import models

# Create your models here.

pasien/models.py
from django.db import models

# Create your models here.

authentication/views.py
from django.db.utils import IntegrityError
from django.shortcuts import redirect, render
from django.db import connection

# Create your views here.
def index(request):
    return render(request, "authentication/index.html")

def login(request):
    return render(request,"authentication/login.html")

def register(request):
    context = {}
    if request.method == "POST":
        email = request.POST.get("email")
        password = request.POST.get("password")
        name = request.POST.get("name")
        hp = request.POST.get("hp")
        gender = request.POST.get("gender")
        address = request.POST.get("address")
        if request.POST.get("role") == "pelanggan":
            date = request.POST.get("date")
            no_va = ""
            with  connection.cursor() as c:
                # mengambil nomor virtual account terbesar terakhir
                c.execute("select max(no_virtual_account) from pelanggan")
                row = c.fetchone()
                # jika table pelanggan sudah ada isinya
                if row[0] != None:
                    no_va = str(int(row[0]) + 1)
                # jika table pelanggan masih kosong
                else:
                    no_va = "100000001"
                # insert pelanggan baru
                try:
                    pengguna = (email, password, name, address, hp, gender)
                    pelanggan = (email, no_va, 0, date)
                    c.execute(f"insert into pengguna values {str(pengguna)}", )
                    c.execute(f"insert into pelanggan values {str(pelanggan)}")
                    request.session["user_email"] = email
                    request.session["user_role"] = request.POST.get("role")
                    return redirect("authentication:index")
                # jika sudah ada email terdaftar maka failed
                except IntegrityError:
                    context["error"] = "email sudah terdaftar"
                    return render(request, 'authentication/register.html', context)
        if request.POST.get("role") == "staff" or request.POST.get("role") == "kurir":
            npwp = request.POST.get("npwp")
            norek = request.POST.get("norek")
            bank = request.POST.get("bank")
            cabang = request.POST.get("cabang")
            # jika staf
            if request.POST.get("role") == "staff":
                with connection.cursor() as c:
                    # insert staf baru
                    try:
                        pengguna = (email, password, name, address, hp, gender)
                        staf = (email, npwp, norek, bank, cabang)
                        c.execute(f"insert into pengguna values {str(pengguna)}", )
                        c.execute(f"insert into staf values {str(staf)}")
                        request.session["user_email"] = email
                        request.session["user_role"] = request.POST.get("role")
                        return redirect("authentication:index")
                    # jika sudah ada email terdaftar maka failed
                    except IntegrityError:
                        context["error"] = "email sudah terdaftar"
                        return render(request, 'authentication/register.html', context)
            elif request.POST.get("role") == "kurir":
                sim = request.POST["sim"]
                nokendaraan = request.POST["nokendaraan"]
                jeniskendaraan = request.POST["jeniskendaraan"]
                with connection.cursor() as c:
                    # insert kurir baru
                    try:
                        pengguna = (email, password, name, address, hp, gender)
                        kurir = (email, npwp, norek, bank, cabang, sim, nokendaraan, jeniskendaraan)
                        c.execute(f"insert into pengguna values {str(pengguna)}", )
                        c.execute(f"insert into kurir values {str(kurir)}")
                        request.session["user_email"] = email
                        request.session["user_role"] = request.POST["role"]
                        return redirect("authentication:index")
                    # jika sudah ada email terdaftar maka failed
                    except IntegrityError:
                        context["error"] = "email sudah terdaftar"
                        return render(request, 'authentication/register.html', context)
    return render(request, 'authentication/register.html')

pasien/views.py
from django.shortcuts import render

# Create your views here.
def create_pasien(request):
	return render(request, 'pasien/create-pasien.html')

def read_pasien(request):
	return render(request, 'pasien/read-pasien.html')

def detail_pasien(request):
	return render(request, 'pasien/detail-pasien.html')

def update_pasien(request):
	return render(request, 'pasien/update-pasien.html')

# def delete_pasien(request):
# 	return null;	

authentication/templates/authentication/index.html
{% extends 'base.html' %} 
{% load static %}
{% block content %}
<main class="d-flex justify-content-center align-items-center flex-row py-4 mt-5">
  <img src="{% static "authentication/img/image-home.jpg" %}" class="py-5" height="400" width="600">

  <div class="d-flex justify-content-center align-items-center flex-column">
  	<h2 style="color:#36ABAF">Sistem Informasi Rumah Sakit</h2>
  	<h2 style="color:#36ABAF">SIRUCO</h2>
  	<div class="d-flex mt-5">
	    {# {% if request.session.user_email %} #}
	    {# <a class="btn btn-danger my-2 my-sm-0" href="#">Logout</a> #}
	    {# {% else %} #}

	    <a class="btn btn-secondary my-2 my-sm-0" href="{% url 'authentication:login' %}">Login</a>
	    <a class="btn btn-success my-2 ml-2 my-sm-0" href="{% url 'authentication:register' %}">Register</a>
	    {# {% endif %} #}
  	</div>
  </div>
 

</main>
{% endblock content %}

authentication/templates/authentication/login.html
{% extends "base.html" %}
{% block content %}
<div class="d-flex flex-column mx-auto " style="max-width:30%; margin-top:10%;">
	<form>
	  <div class="form-group p-2">
	    <label for="exampleInputEmail1">Email address</label>
	    <input type="email" class="form-control" id="exampleInputEmail1" aria-describedby="emailHelp" placeholder="Enter email">
	    <small id="emailHelp" class="form-text text-muted">We'll never share your email with anyone else.</small>
	  </div>
	  <div class="form-group p-2">
	    <label for="exampleInputPassword1">Password</label>
	    <input type="password" class="form-control" id="exampleInputPassword1" placeholder="Password">
	  </div>
	  <button type="submit" class="btn btn-primary ml-2">login</button>
	</form>
</div>
{% endblock content %}

authentication/templates/authentication/register.html
{% extends 'base.html' %}
{% load static %} 

{% block content %}
<main class="d-flex justify-content-center align-items-center flex-column py-3 mt-5">
  <h1 style="color:#36ABAF">Register</h1>
  <h5 class="mb-5 text-danger">{{error}}</h5>
  <form
    method="POST"
    action="{% url 'authentication:register' %}"
    class="d-flex flex-column col-lg-4 col-md-6 col-11"
  >
    {% csrf_token %}
    <div id="choose-role">
      <p>Pilih jenis akun yang akan dibuat</p>
      <select class="form-control mb-3" name="role" id="role-select">
        <option selected disabled>Pilih...</option>
        <option value="adminsistem">Admin Sistem</option>
        <option value="adminsatgas">Admin Satgas</option>
        <option value="penggunapublik">Pengguna Publik</option>
        <option value="dokter">Dokter</option>
      </select>
      <div class="d-flex justify-content-center">
        <button class="btn btn-primary col-12" id="btn-role">Pilih</button>
      </div>
    </div>
    <div id="role-form">
    </div>

    <div class="justify-content-between d-none mb-5" id="bottom-button">
      <button class="btn btn-secondary col-md-4 col-5" id="btn-back" data-role-active ="">Kembali</button>
      <button class="btn btn-primary col-md-4 col-5">Daftar</button>
    </div>
  </form>
</main>

{% endblock content %}
{% block app_js %}
  <script src="{% static 'authentication/js/register.js' %}"></script>
{% endblock app_js %}

pasien/templates/pasien/create-pasien.html
{% extends "base.html" %}
{% load static %}
{% block content %}
<div class="d-flex flex-column mx-auto " style="max-width:50%; margin-top:10%; margin-bottom:10%;">
	<h2 class='mx-auto'>Form Pendaftaran Pasien</h2>
	<form>
	  <h5 class="p-2">Pendaftar : </h5>
	  <div class="form-group p-2">
	    <label>NIK</label>
	    <input type="text" class="form-control"placeholder="Masukkan NIK">
	  </div>
  	  <div class="form-group p-2">
	    <label>Nama</label>
	    <input type="text" class="form-control"placeholder="Masukkan Nama">
	  </div>
	  <div class="form-group p-2">
	    <label>No. Telp</label>
	    <input type="text" class="form-control"placeholder="Masukkan No. Telp">
	  </div>
	  <div class="form-group p-2">
	    <label>No. HP</label>
	    <input type="text" class="form-control"placeholder="Masukkan No. HP">
	  </div>

	  <h5 class="p-2">Alamat (Sesuai KTP) </h5>
	  <div class="form-group p-2">
	    <label>Jalan</label>
	    <input type="text" class="form-control"placeholder="Jalan">
	  </div>
  	  <div class="form-group p-2">
	    <label>Kelurahan</label>
	    <input type="text" class="form-control"placeholder="Kelurahan">
	  </div>
	  <div class="form-group p-2">
	    <label>Kecamatan</label>
	    <input type="text" class="form-control"placeholder="Kecamatan">
	  </div>
	  <div class="form-group p-2">
	    <label>Kabupaten/Kota</label>
	    <input type="text" class="form-control"placeholder="Kabupaten/Kota">
	  </div>
	  <div class="form-group p-2">
	    <label>Provinsi</label>
	    <input type="text" class="form-control"placeholder="Provinsi">
	  </div>

	  <h5 class="p-2">Alamat (Domisili) </h5>
	  <div class="form-group p-2">
	    <label>Jalan</label>
	    <input type="text" class="form-control"placeholder="Jalan">
	  </div>
  	  <div class="form-group p-2">
	    <label>Kelurahan</label>
	    <input type="text" class="form-control"placeholder="Kelurahan">
	  </div>
	  <div class="form-group p-2">
	    <label>Kecamatan</label>
	    <input type="text" class="form-control"placeholder="Kecamatan">
	  </div>
	  <div class="form-group p-2">
	    <label>Kabupaten/Kota</label>
	    <input type="text" class="form-control"placeholder="Kabupaten/Kota">
	  </div>
	  <div class="form-group p-2">
	    <label>Provinsi</label>
	    <input type="text" class="form-control"placeholder="Provinsi">
	  </div>
	  
	  <button type="submit" class="btn btn-primary ml-2">Simpan</button>
	</form>
</div>
{% endblock content %}

pasien/templates/pasien/detail-pasien.html
{% extends "base.html" %}
{% load static %}
{% block content %}
<div class="d-flex flex-column mx-auto " style="max-width:50%; margin-top:10%; margin-bottom:10%;">
<h2 class='mx-auto'>Detail Data Pasien</h2>
	
  <h5 class="p-2">Pendaftar : </h5>
  <div class="form-group p-2">
    <span>NIK :</span>
  </div>
	  <div class="form-group p-2">
    <span>Nama :</span>
  </div>
  <div class="form-group p-2">
    <span>No. Telp :</span>
  </div>
  <div class="form-group p-2">
    <span>No. HP :</span>
  </div>

  <h5 class="p-2">Alamat (Sesuai KTP) : </h5>
  <div class="form-group p-2">
    <span>Jalan :</span>
  </div>
	<div class="form-group p-2">
    <span>Kelurahan :</span>
  </div>
  <div class="form-group p-2">
    <span>Kecamatan :</span>
  </div>
  <div class="form-group p-2">
    <span>Kabupaten/Kota :</span>
  </div>
  <div class="form-group p-2">
    <span>Provinsi :</span>
  </div>

  <h5 class="p-2">Alamat (Domisili): </h5>
  <div class="form-group p-2">
    <span>Jalan :</span>
  </div>
	<div class="form-group p-2">
    <span>Kelurahan :</span>
  </div>
  <div class="form-group p-2">
    <span>Kecamatan :</span>
  </div>
  <div class="form-group p-2">
    <span>Kabupaten/Kota :</span>
  </div>
  <div class="form-group p-2">
    <span>Provinsi :</span>
  </div>
  
  <button type="button" class="btn btn-primary ml-2">Kembali</button>
	
</div>
{% endblock content %}

pasien/templates/pasien/read-pasien.html
{% extends "base.html" %}
{% load static %}

{% block content %}
<div class="d-flex flex-column mx-auto " style="max-width:70%; margin-top:10%; margin-bottom:10%;">
	<table class="table table-striped">
	  <thead>
	    <tr>
	      <th scope="col">No</th>
	      <th scope="col">NIK</th>
	      <th scope="col">Nama Pasien</th>
	      <th scope="col">Action</th>
	    </tr>
	  </thead>
	  <tbody>
	    <tr>
	      <th scope="row">1</th>
	      <td>Mark</td>
	      <td>Otto</td>
	      <td>
	      	<div class="d-flex flex-column" style="max-width:60%;">
	      		<button type="button" class="btn btn-outline-success btn-sm my-1">Update</button>
	      		<button type="button" class="btn btn-outline-danger btn-sm my-1">Delete</button>
	      		<button type="button" class="btn btn-outline-primary btn-sm my-1">Detail</button>
	      	</div>
	      </td>
	    </tr>
	    <tr>
	      <th scope="row">2</th>
	      <td>Jacob</td>
	      <td>Thornton</td>
	      <td>
	          	<div class="d-flex flex-column" style="max-width:60%;">
	      		<button type="button" class="btn btn-outline-success btn-sm my-1">Update</button>
	      		<button type="button" class="btn btn-outline-danger btn-sm my-1">Delete</button>
	      		<button type="button" class="btn btn-outline-primary btn-sm my-1">Detail</button>
	      	</div>
	      </td>
	    </tr>
	    <tr>
	      <th scope="row">3</th>
	      <td>Larry</td>
	      <td>the Bird</td>
	      <td>
	      	  	<div class="d-flex flex-column" style="max-width:60%;">
	      		<button type="button" class="btn btn-outline-success btn-sm my-1">Update</button>
	      		<button type="button" class="btn btn-outline-danger btn-sm my-1">Delete</button>
	      		<button type="button" class="btn btn-outline-primary btn-sm my-1">Detail</button>
	      	</div>
	      </td>
	    </tr>
	  </tbody>
	</table>
</div>
{% endblock content %}

pasien/templates/pasien/update-pasien.html
{% extends "base.html" %}
{% load static %}
{% block content %}
<div class="d-flex flex-column mx-auto " style="max-width:50%; margin-top:10%; margin-bottom:10%;">
	<h2 class='mx-auto'>Update Data Pasien</h2>
	<form>
	  <h5 class="p-2">Pendaftar : </h5>
	  <div class="form-group p-2">
	    <label>NIK</label>
	    <input type="text" class="form-control"placeholder="Masukkan NIK">
	  </div>
  	  <div class="form-group p-2">
	    <label>Nama</label>
	    <input type="text" class="form-control"placeholder="Masukkan Nama">
	  </div>
	  <div class="form-group p-2">
	    <label>No. Telp</label>
	    <input type="text" class="form-control"placeholder="Masukkan No. Telp">
	  </div>
	  <div class="form-group p-2">
	    <label>No. HP</label>
	    <input type="text" class="form-control"placeholder="Masukkan No. HP">
	  </div>

	  <h5 class="p-2">Alamat (Sesuai KTP) </h5>
	  <div class="form-group p-2">
	    <label>Jalan</label>
	    <input type="text" class="form-control"placeholder="Jalan">
	  </div>
  	  <div class="form-group p-2">
	    <label>Kelurahan</label>
	    <input type="text" class="form-control"placeholder="Kelurahan">
	  </div>
	  <div class="form-group p-2">
	    <label>Kecamatan</label>
	    <input type="text" class="form-control"placeholder="Kecamatan">
	  </div>
	  <div class="form-group p-2">
	    <label>Kabupaten/Kota</label>
	    <input type="text" class="form-control"placeholder="Kabupaten/Kota">
	  </div>
	  <div class="form-group p-2">
	    <label>Provinsi</label>
	    <input type="text" class="form-control"placeholder="Provinsi">
	  </div>

	  <h5 class="p-2">Alamat (Domisili) </h5>
	  <div class="form-group p-2">
	    <label>Jalan</label>
	    <input type="text" class="form-control"placeholder="Jalan">
	  </div>
  	  <div class="form-group p-2">
	    <label>Kelurahan</label>
	    <input type="text" class="form-control"placeholder="Kelurahan">
	  </div>
	  <div class="form-group p-2">
	    <label>Kecamatan</label>
	    <input type="text" class="form-control"placeholder="Kecamatan">
	  </div>
	  <div class="form-group p-2">
	    <label>Kabupaten/Kota</label>
	    <input type="text" class="form-control"placeholder="Kabupaten/Kota">
	  </div>
	  <div class="form-group p-2">
	    <label>Provinsi</label>
	    <input type="text" class="form-control"placeholder="Provinsi">
	  </div>
	  
	  <button type="submit" class="btn btn-primary ml-2">Simpan</button>
	</form>
</div>
{% endblock content %}

templates/base.html
{% load static %}
<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">

  {% block app_css %}

  {% endblock app_css %}
</head>

<body>
  {% include "navbar.html" %}
  {% block content %}


  {% endblock content %}
  {% include "footer.html" %}

  
     <!-- jQuery first, then Popper.js, then Bootstrap JS -->
    <script
      src="https://code.jquery.com/jquery-3.5.1.min.js"
      integrity="sha256-9/aliU8dGd2tb6OSsuzixeV4y/faTqgFtohetphbbj0="
      crossorigin="anonymous"
    ></script>
  {% block app_js %}

  {% endblock app_js %}
    <script
      src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js"
      integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q"
      crossorigin="anonymous"
    ></script>
    <script
      src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js"
      integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl"
      crossorigin="anonymous"
    ></script>
    <noscript>Your browser does not support JavaScript!</noscript>
</body>

</html>

templates/footer.html
<nav class="navbar fixed-bottom navbar-light bg-light" style="height:64px">
  <a class="navbar-brand" href="#">
    <span style="color:#36ABAF"> Developed by SirucoDev </span>
  </a>
</nav>

templates/navbar.html
<nav class="navbar fixed-top navbar-light bg-light">
  <a class="navbar-brand" href="#">
    <img src="https://cdn4.iconfinder.com/data/icons/medical-14/512/7-512.png" width="30" height="30" class="d-inline-block align-top" alt="">
    <span class="ml-4" style="color:#36ABAF">Siruco</span>
  </a>
  <a class="navbar-brand flex-end" href="{% url "authentication:index" %}">
    <span class="ml-4" style="color:#36ABAF" >Home</span>
  </a>
</nav>